/*
 * Copyright (c) Members of the EGEE Collaboration. 2004. 
 * See http://www.eu-egee.org/partners/ for details on the copyright
 * holders.  
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 *
 *     http://www.apache.org/licenses/LICENSE-2.0 
 *
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */

/*
 * 
 * Authors: Eric Frizziero <eric.frizziero@pd.infn.it> 
 *
 */

package org.glite.ce.creamapi.activitymanagement.wrapper.creation.types;

import java.util.ArrayList;
import java.util.List;

import javax.xml.datatype.XMLGregorianCalendar;

public class ActivityStatus {
    protected PrimaryActivityStatus status;
    protected List<ActivityStatusAttribute> attribute;
    protected XMLGregorianCalendar timestamp;
    protected String description;

    public PrimaryActivityStatus getStatus() {
        return status;
    }

    public void setStatus(PrimaryActivityStatus value) {
        this.status = value;
    }

    public List<ActivityStatusAttribute> getAttribute() {
        if (attribute == null) {
            attribute = new ArrayList<ActivityStatusAttribute>();
        }
        return this.attribute;
    }

    public XMLGregorianCalendar getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(XMLGregorianCalendar value) {
        this.timestamp = value;
    }

    public String getDescription() {
        return description;
    }
    
    public void setDescription(String value) {
        this.description = value;
    }

}
           
